using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dict
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int[] szamok = new int[20];
            Random R = new Random();
            for (int i = 0; i < 20; i++)
            {
                szamok[i] = R.Next(10);
            }

            Dictionary<int,int> szamokSzama = new Dictionary<int,int>();

            for (int i = 0; i < szamok.Length; i++)
            {
                if (szamokSzama.ContainsKey(szamok[i]))
                {
                    szamokSzama[szamok[i]]++;
                } else
                {
                    szamokSzama.Add(szamok[i], 1);
                }
            }

            foreach (KeyValuePair<int, int> item in szamokSzama)
            {
                Console.WriteLine($"Kulcs: {item.Key}, Érték: {item.Value}");
            }
        }
    }
}
